package hk.hku.cecid.phoenix.hermes.webmin.app;

import java.io.File;
import java.io.FileReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.util.Hashtable;

public class ModuleLocator {
    
    private Hashtable moduleTable = new Hashtable();
    private Hashtable descriptionTable = new Hashtable();
    private File moduleRoot = null;
               
    public ModuleLocator(String serverRootRealPath) {        
        moduleRoot = new File(serverRootRealPath+"/admin");         
        reloadModule();            
    }
    
    private void reloadModule() {        
        descriptionTable.clear();
        moduleTable.clear();
        File[] files = moduleRoot.listFiles();
        if (files != null) {
            for (int i = 0; i < files.length; i++) {                    
                if (files[i].isDirectory()) {                        
                    String pathName = "admin/"+files[i].getName();
                    moduleTable.put(files[i].getName(), pathName);
                    String description = "Missing description.txt in the module root directory";
                    try {
                        BufferedReader reader = new BufferedReader(
                            new FileReader(files[i]+"/description.txt"));
                        description = reader.readLine();
                        reader.close();
                    } catch (IOException e){}
                    descriptionTable.put(files[i].getName(), description);
                }
            }
        }        
    }
        
    public String getModuleDescription(String moduleName) {
        reloadModule();
        Object tmp =  descriptionTable.get(moduleName);
        if (tmp != null) {
            return tmp.toString();
        } else {
            return null;
        }        
    }
    
    public String getModuleRelativePath(String moduleName) {
        reloadModule();
        Object tmp =  moduleTable.get(moduleName);
        if (tmp != null) {
            return tmp.toString();
        } else {
            return null;
        }        
    }
    
    public String[] listModuleNames() {        
        reloadModule();
        if (moduleTable.keySet() != null) {
            Object[] tmp = moduleTable.keySet().toArray();
            if (tmp != null) {
                return toStringArray(tmp);
            }
        }
        return null;
    }
        
    private String[] toStringArray(Object[] obj) {
        String[] tmp = new String[obj.length];
        for (int i = 0; i < tmp.length; i++) {
            tmp[i] = obj[i].toString();
        }        
        return tmp;
    }            
}