package hk.hku.cecid.phoenix.hermes.webmin.app;

import java.util.Hashtable;

public class WebminRequestHandler extends AbstractWebminRequestHandler {
    public WebminRequestHandler(String serverRootRealPath) throws WebminException {
        super(serverRootRealPath);
    }
    
    public String authenticate() throws WebminException {
        return issueRequest("AUTHENTICATE", "authenticate");        
    }
    
    public String diagnosisDump(Hashtable parmas) throws WebminException {
        return issueRequest("DIAGNOSIS", "diagnosisDump", parmas);        
    }
    
    public String getPendingMessages() throws WebminException{        
        return issueRequest("MSG_TRACK", "getPendingMessages");        
    }
    
    public String archiveByAppContext(Hashtable params) throws WebminException {
        return issueRequest("ARCHIVE", "archiveByAppContext", params);
    }
        
    public String archiveByDate(Hashtable params) throws WebminException{
        return issueRequest("ARCHIVE", "archiveByDate", params);        
    }
    
    public String deletePendingMessages(Hashtable params) throws WebminException{
        return issueRequest("MSG_TRACK", "deletePendingMessages", params);                
    }
    
    public String getMessageStatus(Hashtable params) throws WebminException{
        return issueRequest("MSG_TRACK", "getMessageStatus", params);        
    }
    
    public String resumeMsh() throws WebminException{
        return issueRequest("MAINTENANCE", "resumeMsh");        
    }                                     
    
    public String terminateMsh() throws WebminException {
        return issueRequest("MAINTENANCE", "terminateMsh");        
    }
    
    public String suspendMsh() throws WebminException{
        return issueRequest("MAINTENANCE", "suspendMsh");        
    }
    
    public String resetConnectionPool() throws WebminException{
        return issueRequest("DB_OPERATION", "resetConnectionPool");        
    }
    
    public String reportEnvironment() throws WebminException {
        return issueRequest("ENV_CHECK", "reportEnvironment");
    }
            
    public String getDBConnectionPoolInfo() throws WebminException {
        return issueRequest("DB_OPERATION", "getDBConnectionPoolInfo");
    }
    
    public String getNumRecordsInDB() throws WebminException {
        return issueRequest("DB_OPERATION", "getNumRecordsInDB");
    }
    
    public String checkDatabase() throws WebminException {
        return issueRequest("DB_OPERATION", "checkDatabase");
    }
    
    public String getMshVersion() throws WebminException {        
        return issueRequest("ENV_CHECK", "getMshVersion");        
    }
    
    public String getIsHalted() throws WebminException {        
        return issueRequest("ENV_CHECK", "getIsHalted");        
    }
    
    public String getTrustedRepository() throws WebminException {        
        return issueRequest("ENV_CHECK", "getTrustedRepository");        
    }      
}