package hk.hku.cecid.phoenix.hermes.webmin.servlet;

import java.net.URL;
import java.io.File;
import hk.hku.cecid.phoenix.common.util.Property;

class ConfigFileFinder {
    private static String fileSep = System.getProperty("file.separator");
    private static String propDir = System.getProperty("prop.home");        
    private static String homeDir = System.getProperty("user.home");
    
    static File findFile(String fileName) {
        // try user-defined system property "prop.home"
        File tmp;
        if (propDir != null) {
            tmp = new File(propDir + fileSep + fileName);
            if (tmp.exists()) {                
                return tmp;
            }
        }
        
        // try classpath...
        URL url = Property.class.getClassLoader().getResource(".");
        if (url != null) {
            tmp = new File(url.getFile() + fileName);
            if (tmp.exists()) {
                return tmp;
            } 
        }
    
        // try current directory...
        tmp = new File(fileName);
        if (tmp.exists()) {
            return tmp;
        }
        
        // try user's home directory...
        if (homeDir != null) {
            tmp = new File(homeDir + fileSep + fileName);
            if (tmp.exists()) {
                return tmp;
            }
        }
        return null;
    }
}