<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>
    
    <xsl:template match="Response/Result">
        <xsl:choose>
            <xsl:when test="count(Succeeded/ApplicationContext)=0 
                and count(Failed/ApplicationContext)=0">
                <b>
                <xsl:text>No message could be found under the application context you specified</xsl:text>
                </b>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="count(Succeeded/ApplicationContext)!=0">
                    <b><xsl:text>Messages Archived</xsl:text></b>
                    <ol>
                    <xsl:apply-templates select="Succeeded/ApplicationContext"/>
                    </ol>
                </xsl:if>
                <xsl:if test="count(Failed/ApplicationContext)!=0">
                    <b><xsl:text>Messages cannot be Archived</xsl:text></b>
                    <ol>
                    <xsl:apply-templates select="Failed/ApplicationContext"/>
                    </ol>        
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template match="Succeeded/ApplicationContext">        
        <li><xsl:text>Application Context - </xsl:text>
        <xsl:value-of select="Value"/>
        </li>
        <ul>
        <li><xsl:text>Number of messages archived - </xsl:text>
        <xsl:value-of select="count(Message)"/>
        </li>
        </ul>
        <xsl:if test="count(Message)!=0">
            <form method="post" action="showAllMessages.jsp" target="new">
                <xsl:apply-templates select="Message"/>
                <input type="submit" value="Show all Messages in this application context in new window"/>                
                <input type="hidden" name="appContext">
                    <xsl:attribute name="value">
                        <xsl:value-of select="Value"/>
                    </xsl:attribute>
                </input>
            </form>
        </xsl:if>        
    </xsl:template>
    
    <xsl:template match="Failed/ApplicationContext">        
        <li><xsl:text>Application Context - </xsl:text>
        <xsl:value-of select="Value"/>
        </li>
        <ul>
        <li><xsl:text>Number of messages cannot be archived - </xsl:text>
        <xsl:value-of select="count(Message)"/>
        </li>
        <li><xsl:text>Reason - </xsl:text>
        <xsl:value-of select="Reason"/>
        </li>
        </ul>
        <xsl:if test="count(Message)!=0">
            <form method="post" action="showAllMessages.jsp" target="new">
                <xsl:apply-templates select="Message"/>
                <input type="submit" value="Show all Messages in this application context in new window"/>                
                <input type="hidden" name="appContext">
                    <xsl:attribute name="value">
                        <xsl:value-of select="Value"/>
                    </xsl:attribute>
                </input>
            </form>
        </xsl:if>        
    </xsl:template>
        
    <xsl:template match="Message">
        <xsl:variable name="pos">
            <xsl:value-of select="position()"/>
        </xsl:variable>
        <xsl:variable name="posParam">
            <xsl:value-of select="concat('msgId',$pos)"/>
        </xsl:variable>        
        <input type="hidden">
        <xsl:attribute name="name">
            <xsl:value-of select="$posParam"/>
        </xsl:attribute>
        <xsl:attribute name="value">
            <xsl:value-of select="@id"/>
        </xsl:attribute>
        </input>        
    </xsl:template>
    
</xsl:stylesheet> 