<xsl:stylesheet version = '1.0' 
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html" omit-xml-declaration="yes"/>
   
    <xsl:template match="Response/Result">        
        <p/>
        <table>
        <xsl:for-each select="Message">
            <tr>
            <td>
            <xsl:text>Message Id: </xsl:text>
            </td>
            <td>
            <xsl:value-of select="@id"/>
            </td>
            </tr>
            
            <tr>
            <td>
            <xsl:text>Current state: </xsl:text>
            </td>
            <td>            
            <xsl:choose>
                <xsl:when test="State">
                    <xsl:value-of select="State"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>Message does not exists</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
            </td>
            </tr>
            
            <xsl:for-each select="Status">
                <xsl:if test="RemoteAddress!=''">
                    <tr>
                    <td>
                    <xsl:text>Remote sender address: </xsl:text>
                    </td>
                    <td>
                    <xsl:value-of select="RemoteAddress"/>
                    </td>
                    </tr>
                </xsl:if>
                
                <xsl:if test="RemoteHost!=''">
                    <tr>
                    <td>
                    <xsl:text>Remote sender host name: </xsl:text>
                    </td>
                    <td>
                    <xsl:value-of select="RemoteHost"/>
                    </td>
                    </tr>
                </xsl:if>
                
                <xsl:choose>
                    <xsl:when test="RemoteAddress!=''">
                        <tr>
                        <td>
                        <xsl:text>Description for received </xsl:text>
                        <xsl:value-of select="position()"/>
                        <xsl:text>: </xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="Description"/>
                        </td>
                        </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr>
                        <td>
                        <xsl:text>Description for sent </xsl:text>
                        <xsl:value-of select="position()"/>
                        <xsl:text>: </xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="Description"/>
                        </td>
                        </tr>                        
                    </xsl:otherwise>                    
                </xsl:choose>
                
                <xsl:choose>
                    <xsl:when test="RemoteAddress!=''">
                        <tr>
                        <td>
                        <xsl:text>Timestamp for received </xsl:text>
                        <xsl:value-of select="position()"/>
                        <xsl:text>: </xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="Timestamp"/>
                        </td>
                        </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr>
                        <td>
                        <xsl:text>Timestamp for sent </xsl:text>
                        <xsl:value-of select="position()"/>
                        <xsl:text>: </xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="Timestamp"/>
                        </td>
                        </tr>                        
                    </xsl:otherwise>                    
                </xsl:choose>
                                
            </xsl:for-each>
        </xsl:for-each>        
        </table>
    </xsl:template>    
   
</xsl:stylesheet> 